--
-- Table structure for table 'dasl_lockdiscovery'
--
-- Version 0.7.1

CREATE TABLE dasl_lock (
  URI blob NOT NULL,
  locktype int(1) NOT NULL, 	
  scope int(11) default NULL,
  depth int(11) default NULL,
  timeout bigint(20) NOT NULL default '0',
  locktoken varchar(255) default NULL,
  owner blob,
  auth_user blob,
  lockkey blob,
  KEY URIidx (URI(255))
) TYPE=MyISAM;

--
-- Table structure for table 'dasl_locknull'
--

CREATE TABLE dasl_locknull (
  path blob NOT NULL,
  fname blob,
  KEY pathidx (path(255)),
  UNIQUE KEY fnameidx (fname(255))
) TYPE=MyISAM;


--
-- Table structure for table 'dasl_namespace'
--
CREATE TABLE dasl_namespace (
  ns_id int(11) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  PRIMARY KEY  (ns_id),
  UNIQUE KEY nameidx (name)
) TYPE=MyISAM;

--
-- Table structure for table 'dasl_property'
--
CREATE TABLE dasl_property (
  serialno int(11) NOT NULL default '0',
  ns_id int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  value blob,
  primary key (serialno, ns_id, name),
  KEY serialidx (serialno),
  KEY nvidx (name,value(245))
) TYPE=MyISAM;

--
-- Table structure for table 'dasl_resource'
--

CREATE TABLE dasl_resource (
  serialno int(11) NOT NULL auto_increment,
  URI blob NOT NULL,
  creationdate bigint(20) default NULL,
  displayname blob,
  getcontentlanguage varchar(20) default NULL,
  getcontentlength int(11) NOT NULL default '0',
  getcontenttype varchar(255) default NULL,
  getetag blob,
  getlastmodified bigint(20) default NULL,
  resourcetype int(11) default NULL,
  source int(11) default NULL,
  depth int(11) NOT NULL default '0',
  istext tinyint not null default 1,
  isexternal tinyint not null default 0,
  textcontent longtext,
  bincontent longblob,
  isversioned tinyint default 0,
  checkin int(11) default -1,
  checkout int(11) default -1,
  PRIMARY KEY  (serialno),
---
--- FIXME: Speed VS UNIQUE
--- UNIQUE KEY URIidx (URI(255)),
---
  UNIQUE KEY URIidx (URI(255)),
  KEY creationdateidx (creationdate),
  KEY displaynameidx (displayname(255)),
  KEY gcontlangidx (getcontentlanguage),
  KEY gcontlengidx (getcontentlength),
  KEY gconttypeidx (getcontenttype),
  KEY getetagidx (getetag(255)),
  KEY glstmodidx (getlastmodified),
  KEY restypeidx (resourcetype),
  KEY sourceidx (source),
  KEY depthidx (depth)
) TYPE=MyISAM;

--
-- Table structure for table 'version_resource'
--

CREATE TABLE version_resource (
  serialno int(11) NOT NULL ,
  version integer not null,
  URI blob NOT NULL,
  creationdate bigint(20) default NULL,
  displayname blob,
  getcontentlanguage varchar(20) default NULL,
  getcontentlength int(11) NOT NULL default '0',
  getcontenttype varchar(255) default NULL,
  getetag blob,
  getlastmodified bigint(20) default NULL,
  resourcetype int(11) default NULL,
  source int(11) default NULL,
  depth int(11) NOT NULL default '0',
  istext tinyint not null default 1,
  textcontent longtext,
  bincontent longblob,
  author varchar(50),
  PRIMARY KEY  (serialno, version),
---
--- FIXME: Speed VS UNIQUE
--- UNIQUE KEY URIidx (URI(255)),
---
  KEY URIidx (URI(255)),
  KEY creationdateidx (creationdate),
  KEY displaynameidx (displayname(255)),
  KEY gcontlangidx (getcontentlanguage),
  KEY gcontlengidx (getcontentlength),
  KEY gconttypeidx (getcontenttype),
  KEY getetagidx (getetag(255)),
  KEY glstmodidx (getlastmodified),
  KEY restypeidx (resourcetype),
  KEY sourceidx (source),
  KEY depthidx (depth)
) TYPE=MyISAM;

--
-- Table structure for table 'version_property'
--

CREATE TABLE version_property (
  serialno int(11) NOT NULL default '0',
  version integer not null,
  ns_id int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  value blob,
  primary key (serialno, version, ns_id, name),
  KEY serialidx (serialno, version),
  KEY nvidx (name,value(245))
) TYPE=MyISAM;


